Subject: bug#75936: monitor width reporting

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2025 11:51:10 +0200

> X-Spam-Status: No, score=0.099 tagged_above=-100 required=4.5
>  tests=[ALL_TRUSTED=0.1, BAYES_40=-0.001] autolearn=ham autolearn_force=no
> From: "david" <[email-masked]>
> Date: Thu, 30 Jan 2025 09:10:41 -0700
> Cc: "Eli Zaretskii" <[email-masked]>, "martin rudalics" <[email-masked]>, [email-masked]
> 
> > Can you tell more about the differences between these two builds?  Are
> > they builds of the same Emacs version with the same configure-time
> > switches/options and the same versions of the development tools, or
> > are any of those factors different between the builds (and if so,
> > which ones)?
> 
> > Looks like one of the outputs reports two separate screens, whereas
> > the other reports a combined screen?  If so, aren't the differences
> > expected?  Or what am I missing?
> 
> > The latter Emacs build was configured on a system without XRandr
> > headers, XRandr being the X server extension that provides detailed
> > monitor information.
> 
> The two builds can be run within seconds of each other on the two-screen
> setup described; the reported attributes are different; the build
> information is the same.  Hence, the attributes information cannot be
> relied on by a user.  It looks as though Po Lu has pointed out a difference
> at a lower level.  I have created a kludge function that gets it right for
> me with 16x9 screens and a sometimes 2x attributes error.
> 
> The builds were done six months apart; I have no recollection of the first.
> Perversely, the second build was done to check accuracy of my code and
> procedures.  The second build was done with a newly downloaded tar file; I
> make minor changes to data.c and keymap.c; the patches are available if you
> want them: irrelevant, not recommended.  As far as my build procedure is
> concerned, I keep it as simple as possible.  For the most part, I involve
> only the libraries that are mentioned by configure.  Although, in both
> cases, I installed cairo [apt install libcairo-dev] because text size is a
> disaster without it.  Cairo is in the build information.  I do not have any
> idea how XRandR came into the picture.

If one of the builds is with XRandR and the other without, then the
differences in the results are expected, and this is not a bug.